/*
 *	contact_ctpci
 *
 *	Copyright (c) c't 2010 Andreas Stiller 
 *
 *	Can be freely distributed and used under the terms of the GNU GPL.
 *
 * Installs or contacts ctpci64.sys or ctpci32.sys, depending on OS
 * drvexec ()   : opcode and three parameters with type long 
 * drvexec64 () : opcode and three parameters with type long long 
 *               (not used for ctpci.sys)
*/



#pragma once 
#include "stdafx.h"
#include "driver.h"
#include "..\ctpci\ctpci.h"

BOOL IsWow64();
DWORD drvexec(DWORD op,DWORD par1,DWORD par2,DWORD par3, void* outbuf,int outsize, int* BytesReturned);
DWORD drvexec64 (ULONGLONG op,ULONGLONG par1,ULONGLONG par2,ULONGLONG par3, void* outbuf, int outsize,int* BytesReturned);

BOOL init_directnt();
BOOL cleanup_directnt();